Bug 998103 - python-dialog-3.3.0 is available
python-dialog-3.3.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-dialog (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1039258
Blocks: 1215478
  Show dependency treegraph
 
Reported: 2013-08-17 05:15 EDT by Upstream Release Monitoring
Modified: 2015-11-12 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 23:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-08-17 05:15:45 EDT
Latest upstream release: 2.12
Current version/release in Fedora Rawhide: 2.7-18.fc20
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-08-20 11:12:13 EDT
Latest upstream release: 2.13
Current version/release in Fedora Rawhide: 2.7-18.fc20
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2013-08-23 11:06:43 EDT
Latest upstream release: 2.13.1
Current version/release in Fedora Rawhide: 2.7-18.fc20
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-09-18 11:56:37 EDT
Latest upstream release: 2.14.0
Current version/release in Fedora Rawhide: 2.7-18.fc20
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Upstream Release Monitoring 2013-10-02 04:44:48 EDT
Latest upstream release: 2.14.1
Current version/release in Fedora Rawhide: 2.7-18.fc20
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Upstream Release Monitoring 2013-10-13 13:40:24 EDT
Latest upstream release: 3.0.0
Current version/release in Fedora Rawhide: 2.7-18.fc20
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Upstream Release Monitoring 2013-11-02 16:53:11 EDT
Latest upstream release: 3.0.1
Current version/release in Fedora Rawhide: 2.7-18.fc20
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Upstream Release Monitoring 2014-08-22 04:32:42 EDT
Latest upstream release: 3.1.0
Current version/release in Fedora Rawhide: 2.7-19.fc21
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 8 Upstream Release Monitoring 2014-10-17 04:52:12 EDT
Latest upstream release: 3.2.0
Current version/release in Fedora Rawhide: 2.7-19.fc21
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 9 Upstream Release Monitoring 2014-11-01 05:49:34 EDT
Latest upstream release: 3.2.1
Current version/release in Fedora Rawhide: 2.7-19.fc21
URL: http://sourceforge.net/api/file/index/project-name/pythondialog/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 10 Upstream Release Monitoring 2015-04-04 21:12:19 EDT
Latest upstream release: 3.2.2rc1
Current version/release in rawhide: 2.7-19.fc21
URL: http://sourceforge.net/projects/pythondialog

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 11 Upstream Release Monitoring 2015-04-04 21:12:25 EDT
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: pythondialog-2.7.tar.bz2
old sha256: 5f7dbcbd28eebadc736d957b9511a87ad5570c8fc822c8123a42e7259773cb7f

new source: ./pythondialog-2.7.tar.bz2
new sha256: 5f7dbcbd28eebadc736d957b9511a87ad5570c8fc822c8123a42e7259773cb7f
Comment 12 Upstream Release Monitoring 2015-04-09 21:28:17 EDT
Latest upstream release: 3.2.2
Current version/release in rawhide: 2.7-19.fc21
URL: http://sourceforge.net/projects/pythondialog

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 13 Upstream Release Monitoring 2015-04-09 21:28:22 EDT
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: pythondialog-2.7.tar.bz2
old sha256: 5f7dbcbd28eebadc736d957b9511a87ad5570c8fc822c8123a42e7259773cb7f

new source: ./pythondialog-2.7.tar.bz2
new sha256: 5f7dbcbd28eebadc736d957b9511a87ad5570c8fc822c8123a42e7259773cb7f
Comment 14 Upstream Release Monitoring 2015-05-28 21:52:55 EDT
Latest upstream release: 3.3.0
Current version/release in rawhide: 2.7-19.fc21
URL: http://sourceforge.net/projects/pythondialog

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 15 Upstream Release Monitoring 2015-05-28 21:53:02 EDT
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: pythondialog-2.7.tar.bz2
old sha256: 5f7dbcbd28eebadc736d957b9511a87ad5570c8fc822c8123a42e7259773cb7f

new source: ./pythondialog-2.7.tar.bz2
new sha256: 5f7dbcbd28eebadc736d957b9511a87ad5570c8fc822c8123a42e7259773cb7f
Comment 16 Fedora Admin XMLRPC Client 2015-09-30 15:24:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2015-10-19 12:14:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Felix Schwarz 2015-10-28 20:10:34 EDT
I believe this version is required for the letsencrypt client (see bug 1215478) so it would be nice to update the package to a non-ancient version. I built a proof-of-concept update which "works for me" but I suggest a bit more scrunity as the last Fedora version was imported from upstream in 2006 so better check licensing etc. again: https://fschwarz.fedorapeople.org/2015/python-dialog-3.3.0-1.fc23.src.rpm
Comment 19 Zbigniew Jędrzejewski-Szmek 2015-10-29 08:03:50 EDT
Thanks, I'll take a look at your package. Updating the version is on my TODO list, I just haven't gotten around to it.
Comment 20 Zbigniew Jędrzejewski-Szmek 2015-11-11 23:16:33 EST
Felix, thank you for your help. If you want to become comaintainer, please apply for acls.

Version for rawhide is building. Unfortunately this missed the boat for F23, so I don't intend to release a version for F23, unless it is necessary for lets-encrypt. Closing for now.
Comment 21 Robert Buchholz 2015-11-12 07:45:01 EST
Zbigniew, thank you for the upgrade. Unfortunately the new version is necessary for the declared dependencies of letsencrypt. In order to get this it F23, could you please reconsider?

https://github.com/letsencrypt/letsencrypt/blob/09fa1153d958b9fc74a070e879a4c955d3292730/setup.py#L42
Comment 22 Zbigniew Jędrzejewski-Szmek 2015-11-12 07:56:18 EST
No problem. I'll update it when lets-encrypt is approved.

Note You need to log in before you can comment on or make changes to this bug.